Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ddf.minim.effects
Class HighPassSP

    java.lang.Object
      ddf.minim.effects.IIRFilter
          ddf.minim.effects.HighPassSP

All Implemented Interfaces:
  AudioEffect

    public class HighPassSP

extends IIRFilter

HighPassSP is a single pole high pass filter. It is not super high quality, but it gets the job done.

Author:
  Damien Di Fede

Field Summary

Fields inherited from class ddf.minim.effects.IIRFilter
`a, b`

Constructor Summary
`HighPassSP(float freq, float sampleRate)` Constructs a high pass filter with a cutoff frequency of `freq` that will be used to filter audio recorded at `sampleRate`.

Method Summary
`protected void` | `calcCoeff()` Calculates the coefficients of the filter using the current cutoff frequency.

Methods inherited from class ddf.minim.effects.IIRFilter
`frequency, printCoeff, process, process, sampleRate, setFreq, validFreq`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighPassSP

    public HighPassSP(float freq,
                      float sampleRate)

  Constructs a high pass filter with a cutoff frequency of `freq` that will be used to filter audio recorded at `sampleRate`.

  Parameters:
    `freq` - the cutoff frequency
    `sampleRate` - the sample rate of audio that will be filtered

Method Detail

### calcCoeff

    protected void calcCoeff()

  Description copied from class: `IIRFilter`
  Calculates the coefficients of the filter using the current cutoff frequency. To make your own IIRFilters, you must extend IIRFilter and implement this function. The frequency is expressed as a fraction of the sample rate. When filling the coefficient arrays, be aware that `b[0]` corresponds to the coefficient `b1`.

  Specified by:
    `calcCoeff` in class `IIRFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD